MWAWPictDUnknown Class Reference documentation

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Friends | List of all members
MWAWPictDUnknown Class Reference

class to store small data which are potentially a picture More...

`#include <MWAWPictData.hxx>`

Inheritance diagram for MWAWPictDUnknown:

## Public Member Functions
| ~MWAWPictDUnknown ()
| destructor More...
virtual SubType | getSubType () const
| returns the picture subtype More...
virtual bool | valid () const
| returns true if the picture is valid More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
Public Member Functions inherited from MWAWPictData
| ~MWAWPictData ()
| destructor More...
virtual Type | getType () const
| returns the picture type More...
virtual bool | getBinary (MWAWEmbeddedObject &picture) const
| returns the final picture More...
virtual bool | sure () const
| returns true if we are relatively sure that the data are correct More...
bool | isEmpty () const
| returns true if the picture is valid and has size 0 or contains no data More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
MWAWBox2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (MWAWBox2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions
| MWAWPictDUnknown ()
| protected constructor: uses check to construct a picture More...
Protected Member Functions inherited from MWAWPictData
| MWAWPictData ()
| protected constructor: use check to construct a picture More...
| MWAWPictData (MWAWBox2f &)
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Static Protected Member Functions
static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, MWAWPictData **result=0L)
| checks if the data pointed by input and of given size is a pict More...
Static Protected Member Functions inherited from MWAWPictData
static bool | createFileData (librevenge::RVNGBinaryData const &orig, librevenge::RVNGBinaryData &result)
| a file pict can be created from the data pict by adding a header with size 512, this function do this conversion needed to return the final picture More...
static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, MWAWBox2f &box, MWAWPictData **result=0L)
| checks if the data pointed by input and of given size is a pict More...
Static Protected Member Functions inherited from MWAWPict
static MWAWBox2f | getBdBox (int numPt, MWAWVec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Friends
class | MWAWPictData

## Additional Inherited Members
Public Types inherited from MWAWPictData
enum | SubType { PictMac, DB3, Unknown }
| the picture subtype More...
Public Types inherited from MWAWPict
enum | Type { PictData, Bitmap, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...
Static Public Member Functions inherited from MWAWPictData
static ReadResult | check (MWAWInputStreamPtr input, int size, MWAWBox2f &box)
| checks if the data pointed by input is known More...
static MWAWPictData * | get (MWAWInputStreamPtr input, int size)
| checks if the data pointed by input is known More...
Protected Attributes inherited from MWAWPictData
librevenge::RVNGBinaryData | m_data
| the data size (without the empty header of 512 characters) More...
bool | m_empty
| some picture can be valid but empty More...

## Detailed Description

class to store small data which are potentially a picture

## Constructor & Destructor Documentation

## § ~MWAWPictDUnknown()

MWAWPictDUnknown::~MWAWPictDUnknown | ( |  | ) |

destructor

## § MWAWPictDUnknown()

MWAWPictDUnknown::MWAWPictDUnknown | ( |  | ) |
| inlineprotected

protected constructor: uses check to construct a picture

## Member Function Documentation

## § checkOrGet()

MWAWPictDUnknown::ReadResult MWAWPictDUnknown::checkOrGet | ( | MWAWInputStreamPtr | input,
|  | int | size,
|  | MWAWPictData ** | result = `0L`
| ) |  |
| staticprotected

checks if the data pointed by input and of given size is a pict

- if not returns MWAW_R_BAD
- if true
  - set empty to true if the picture contains no data
  - creates a picture if result is given and if the picture is not empty

Referenced by MWAWPictData::checkOrGet(), and ~MWAWPictDUnknown().

## § cmp()

virtual int MWAWPictDUnknown::cmp | ( | MWAWPict const & | a | ) | const
| inlinevirtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPictData.

## § getSubType()

virtual SubType MWAWPictDUnknown::getSubType | ( |  | ) | const
| inlinevirtual

returns the picture subtype

Implements MWAWPictData.

## § valid()

virtual bool MWAWPictDUnknown::valid | ( |  | ) | const
| inlinevirtual

returns true if the picture is valid

Reimplemented from MWAWPictData.

## Friends And Related Function Documentation

## § MWAWPictData

friend class MWAWPictData
| friend

The documentation for this class was generated from the following files:

- MWAWPictData.hxx
- MWAWPictData.cxx